## firebird2.5 2.5.2~svn+53698.ds4

=== debian/changelog ===
firebird2.5 (2.5.2~svn+53698.ds4-1) unstable; urgency=low

  * Snapshot from Upstream's 2.5 branch, revision 53698
   + drop two patches included upstream
   + refresh the rest to apply cleanly
  * pass buildflags directly to $(MAKE), drop default-optimization.patch
  * move fbintl from -common to -server-common
   + -server-common: break/replace -common
  * Fix typo in -superclassic description. Closes: #652140. Thanks to Daniel
    Hartwig

 -- Damyan Ivanov <dmn@debian.org>  Wed, 21 Dec 2011 14:50:58 +0200
