## firebird2.5 2.5.2~svn+53854.ds4

=== debian/changelog ===
firebird2.5 (2.5.2~svn+53854.ds4-1) unstable; urgency=low

  * Snapshot from upstream's 2.5 branch, revision53854
   + includes support for CPPFLAGS. Closes: #654793 -- hardening flags not
     fully applied. Thanks to Moritz Muehlenhoff and Alex Peshkoff.
   + update debian/copyright

  * rules: declare build-arch as phony
  * rules: convert build-super-and-classic phony target to a -stamp target

 -- Damyan Ivanov <dmn@debian.org>  Fri, 13 Jan 2012 09:11:37 +0200

firebird2.5 (2.5.2~svn+53775.ds4-1) unstable; urgency=low

  * Snapshot from upstream's 2.5 branch, revision 53775
  * control: note -doc doesn't contain release notes (LP#908963)
  * control: change transitional 2.5-dev package to oldlibs/extra
  * control: -common package is arch:all
    the last arch-specific bit, ibutil was moved to -server-common
  * -classic.init: provide a status option
  * control: 2.5-dev, -classic-common: depend on the same (source) version of
    -common-doc

 -- Damyan Ivanov <dmn@debian.org>  Wed, 28 Dec 2011 15:07:47 +0200
