=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
 Provides: firebird-server, firebird-utils, firebird-udf
 Conflicts: firebird-server, firebird-utils, firebird-udf,
  firebird2.0-classic, firebird2.0-super
-Depends: ${shlibs:Depends}, firebird2.5-common (= ${binary:Version}),
+Depends: ${shlibs:Depends}, firebird2.5-common (= ${source:Version}),
  firebird2.5-server-common (= ${binary:Version}),
  lsb-base, ${misc:Depends}, debconf (>= 1.4.69),
  firebird2.5-common-doc (= ${source:Version})
@@ -58,7 +58,7 @@
 Provides: firebird-server
 Conflicts: firebird-server,
  firebird2.0-super, firebird2.0-classic
-Depends: ${shlibs:Depends}, firebird2.5-common (= ${binary:Version}), netbase,
+Depends: ${shlibs:Depends}, firebird2.5-common (= ${source:Version}), netbase,
  firebird2.5-server-common (= ${binary:Version}),
  firebird2.5-classic-common (= ${binary:Version}),
  openbsd-inetd | inet-superserver, ${misc:Depends},
@@ -91,7 +91,7 @@
 Provides: firebird-server
 Conflicts: firebird-server,
  firebird2.0-super, firebird2.0-classic
-Depends: ${shlibs:Depends}, firebird2.5-common (= ${binary:Version}), netbase,
+Depends: ${shlibs:Depends}, firebird2.5-common (= ${source:Version}), netbase,
  firebird2.5-server-common (= ${binary:Version}),
  firebird2.5-classic-common (= ${binary:Version}),
  firebird2.5-common-doc (= ${source:Version}),
@@ -122,7 +122,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, firebird2.5-common (= ${binary:Version}),
+Depends: ${shlibs:Depends}, firebird2.5-common (= ${source:Version}),
  ${misc:Depends},
  firebird2.5-common-doc (= ${source:Version})
 Description: Firebird client library
@@ -145,7 +145,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, firebird2.5-common (= ${binary:Version}),
+Depends: ${shlibs:Depends}, firebird2.5-common (= ${source:Version}),
  firebird2.5-server-common (= ${binary:Version}), ${misc:Depends},
  firebird2.5-common-doc (= ${source:Version})
 Description: Firebird embedded client/server library
@@ -188,8 +188,8 @@
  memory management etc.
 
 Package: firebird2.5-common
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
+Architecture: all
+Depends: ${misc:Depends},
  firebird2.5-common-doc (= ${source:Version})
 Description: common files for firebird 2.5 servers and clients
  Firebird is a relational database offering many ANSI SQL-99 features that
@@ -230,7 +230,8 @@
 Conflicts: firebird-udf, firebird-utils,
  firebird2.1-classic, firebird2.1-super,
  firebird2.0-super, firebird2.0-classic
-Depends: ${misc:Depends}, ${shlibs:Depends}, firebird2.5-common-doc
+Depends: ${misc:Depends}, ${shlibs:Depends},
+ firebird2.5-common-doc (= ${source:Version})
 Description: common files for firebird 2.5 "classic" and "superclassic"
  This package contains the command line utilities and UDFs (user-defined
  function libraries) common to classic and superclassic Firebird servers.
@@ -257,10 +258,11 @@
  more information about Firebird in general.
 
 Package: firebird2.5-dev
-Section: libdevel
+Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: ${misc:Depends}, firebird-dev (>= 2.5.1.26349-0~rc1.ds4-3~),
- firebird2.5-common-doc
+ firebird2.5-common-doc (= ${source:Version})
 Description: transitional package for firebird-dev
  firebird2.5-dev was renamed to firebird-dev. This dummy package is provided
  to ease the transition for packages build-depending on firebird2.5-dev.
@@ -278,6 +280,3 @@
  .
  Please refer to the firebird2.5-super and firebird2.5-classic packages for
  more information about Firebird in general.
-
-Package: firebird2.5-doc
-Section: doc
