=== debian/rules ===
--- 
+++ 
@@ -121,19 +121,20 @@
 .PHONY: build
 build: build-arch build-indep
 
-build-stamp: build-super-and-classic
+build-stamp: build-super-and-classic-stamp
 	sed 's/\$$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' debian/libib-util.lintian-overrides.in > debian/libib-util.lintian-overrides
 	touch $@
 
 .PHONY: build-indep
 build-indep: build-manuals
 
+.PHONY: build-arch
 build-arch: build-stamp
 
-.PHONY: build-super-and-classic
-build-super-and-classic:
+build-super-and-classic-stamp:
 	$(MAKE) -f debian/rules build-super
 	$(MAKE) -f debian/rules build-classic
+	touch $@
 
 MANUALS_BASE = isql-fb gbak gdef gfix gpre gsec fbstat qli nbackup \
 	       fbsvcmgr fbtracemgr fb_smp_server fb_inet_server fbguard \
@@ -189,7 +190,8 @@
 	rm -f $(MANUALS)
 	
 	rm -f 	build-stamp build-classic-stamp configure-classic-stamp \
-		build-super-stamp configure-super-stamp autogen-stamp
+		build-super-stamp configure-super-stamp autogen-stamp \
+		buils-super-and-classic-stamp
 	
 	# re-generated in autogen target
 	rm -f builds/make.new/config/config		\
@@ -282,4 +284,3 @@
 	dh_installdebconf -a
 	dh_installexamples -a
 	dh_installmenu -a
-	dh_installinit -pfirebird$(FB_VER)-super
