## firebird2.5 2.5.2~svn+53897.ds4

=== debian/changelog ===
firebird2.5 (2.5.2~svn+53897.ds4-1) unstable; urgency=low

  * Snapshot from upstream's 2.5 branch, revision 53897
    Fixes:
    + CORE-3736: WITH LOCK clause is allowed for users with read-only
      rights on some table, thus blocking others from updating the table
    + CORE-3733: GBAK fails to fix system generators while restoring
    + hopefuly fixes CORE-3730: isc_dsql_exec_immed2() loses input parameter
      value with RETURNING clause.
    + CORE-3732: Segfault when closing attachment to database
    + CORE-3599: Possible drop role RDB$ADMIN

  * copyright: update upstream source locations and years of debian/*
    copyright

 -- Damyan Ivanov <dmn@debian.org>  Mon, 23 Jan 2012 20:22:11 +0200
