## firebird2.5 2.5.2~svn+54698.ds4

=== debian/changelog ===
firebird2.5 (2.5.2~svn+54698.ds4-1ubuntu1) raring; urgency=low

  * SECURITY UPDATE: Fix for NULL pointer Denial of Service in TraceManager
    (LP: #1115902)
    - debian/patches/CVE-2012-5529.patch: Handle empty query safely. Based on
      upstream patch.
    - CVE-2012-5529

 -- Christian Kuersteiner <ckuerste@gmx.ch>  Tue, 05 Feb 2013 15:18:31 +0700

firebird2.5 (2.5.2~svn+54698.ds4-1) unstable; urgency=low

  * Snapshot from upstream's 2.5.2 tag, revision 54698. Still not the official
    release, but very close
    + CORE-3860: Trace API: Faulty database filter crashes server
    + CORE-3875: GBak does not check correctly parameters and backups random
      database with -b ":"
    + CORE-3879: Make fb_lock_print a bit more handy
    + CORE-3656: Support for sweep information in Trace API
    + CORE-2668: Write note into log when automatic sweep is started

  * out/hardening.patch: add one more hunk for the new additions in
    fb_lock_print

 -- Damyan Ivanov <dmn@debian.org>  Sat, 30 Jun 2012 15:26:05 +0300

firebird2.5 (2.5.2~svn+54658.ds4-1) unstable; urgency=low

  * Snapshot from upstream's 2.5 branch, revision 54658
   + Optimizer level solution for CORE-2709/CORE-3449: Many indexed reads in a
     compound index with NULLs/Wrong or missing IS NULL optimization
     (regression)
   + CORE-2666: Make it possible to use API to do remote backups/restores
   + Backported fix from 3.0: backup state lock should be released at latch
     timeout, avoiding lock lock state accounting inconsistency
   + CORE-3873: Server crashes while switching to the shadow if the disk I/O
     fault happens while flushing the cache
  * refreshed patches, one hunk of hardenning.patch no longer needed

 -- Damyan Ivanov <dmn@debian.org>  Fri, 29 Jun 2012 14:22:55 +0300

firebird2.5 (2.5.2~svn+54604.ds4-1) unstable; urgency=low

  * Snapshot from upstream's 2.5 branch, revision 54604
   + CORE-3769: The message 'Unknown tag (4) in isc_svc_query() results'
     appears when fbtracemgr is interrupted by Ctrl-C
   + Rolled back the ODS level solution for CORE-2709 as it causes
     cross-version compatibility issues (CORE-3853) as well as functional
     regressions (CORE-3675)
   + isql: fix output if charset is different from locale
   + CORE-3855: Blobs, inserted into GLOBAL TEMPORARY TABLE ON COMMIT DELETE
     ROWS could be placed into newly allocated pages even if there is enough
     free place on some existing data page

 -- Damyan Ivanov <dmn@debian.org>  Thu, 07 Jun 2012 07:14:01 +0300

firebird2.5 (2.5.2~svn+54545.ds4-1) unstable; urgency=low

  * Snapshot from upstream's 2.5 branch, revision 54545
   + Postfix for CORE-3612 - send errors to stderr
   + Fix broken isql history with libedit 3.0
   + CORE-3611: Wrong data while retrieving from CTEs (or derived tables) with
     same column names.
   + CORE-3845: Interruption of 'heavy query' leads to 0 ms (zero duration) in
     its statistics in trace log

  * add lintian overrides about hardenning false positives

 -- Damyan Ivanov <dmn@debian.org>  Sat, 26 May 2012 20:48:16 +0300

firebird2.5 (2.5.2~svn+54476.ds4-1) unstable; urgency=low

  * Snapshot from upstream's 2.5 branch, revision 54476
   + CORE-3841: Corrupted database after inserting rows
   + CORE-3844: Validation not detecting one specific case of index corruption
   + Fixed regression in the fix for CORE-3777
   + CORE-3814: SuperClassic server crashes when performing a database
     shutdown with forced writes off
   + CORE-3598: Tracing: add statistics of actions that were after transaction
     finish
   + Trace errors raised by failed ON TRANSACTION ROLLBACK and ON DISCONNECT
     triggers
   + CORE-3539: Tracing: add ability to log errors that occur in runtime
     (lock conflicts, PK/UK/FK violations etc.)

  * drop transitional firebird2.5-dev package

 -- Damyan Ivanov <dmn@debian.org>  Sat, 12 May 2012 15:30:11 +0300

firebird2.5 (2.5.2~svn+54429.ds4-1) unstable; urgency=low

  * Snapshot from upstream's 2.5 branch, revision 54429
   + CORE-3819: Wrong service name to port address resolution in database
     connection string
   + CORE-3825: If an autocommit transaction (i.e. transaction started with
     isc_tpb_autocommit option) run DDL using EXECUTE STATEMENT it will
     produce a bugcheck 287 (Too many savepoints)
   + CORE-3834: Usage of a NATURAL JOIN with a derived table crashes the
     server

  * fix libib-util lintian override tor multi-arch
    Closes: #670008 -- arch-dependent files in multiarch: same package
    Thanks to Julien Cristau for the report and fix hint

 -- Damyan Ivanov <dmn@debian.org>  Wed, 02 May 2012 22:37:46 +0300

firebird2.5 (2.5.2~svn+54376.ds4-2) unstable; urgency=low

  * fix typo in -server-common.postrm/purge. Closes: #668711. Thanks to
    Andreas Beckmann

 -- Damyan Ivanov <dmn@debian.org>  Mon, 16 Apr 2012 16:45:32 +0300

firebird2.5 (2.5.2~svn+54376.ds4-1) unstable; urgency=low

  * -server-common.postrm: remove directories under /var/lib only if they
    exist (Closes: #668378)

  * Snapshot from upstream's 2.5 branch, revision 54376
   + CORE-3812: Connection lost to database during massive dropping and
     altering primary keys of tables
   + Check result of a fstat() call even if it is unlikely to fail
   + Additional fix for CORE-3807. Otherwise, _utf8 'A' is considered equal to
     _win1251 'ABCD'

 -- Damyan Ivanov <dmn@debian.org>  Fri, 13 Apr 2012 18:16:14 +0300

firebird2.5 (2.5.2~svn+54342.ds4-1) unstable; urgency=low

  * Snapshot from upstream's 2.5 branch, revision 54342
   + More clear explanation of GCPolicy setting in firebird.conf
   + CORE-3686: Incorrect (zero) values are reported for "acquire blocks" and
     "mutex wait" counters in the fb_lock_print output
   + CORE-3810 : isql: zero divide + coredump when use "-pag 0" command switch
     and 'set heading on' inside .sql script
   + Reverted the lock manager optimization due to regressions. A better
     solution is researched


