=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: firebird2.5
 Section: database
 Priority: optional
-Maintainer: Debian Firebird Group <pkg-firebird-general@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Firebird Group <pkg-firebird-general@lists.alioth.debian.org>
 Uploaders: Damyan Ivanov <dmn@debian.org>
 Build-Depends: 
  autoconf,
@@ -17,7 +18,7 @@
  libtool,
  po-debconf
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/pkg-firebird/2.5.git
 Vcs-Browser: http://git.debian.org/?p=pkg-firebird/2.5.git;a=summary
 Homepage: http://firebirdsql.org/
@@ -143,7 +144,6 @@
 Package: libfbembed2.5
 Section: libs
 Architecture: any
-Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, firebird2.5-common (= ${source:Version}),
  firebird2.5-server-common (= ${binary:Version}), ${misc:Depends},
@@ -189,6 +189,7 @@
 
 Package: firebird2.5-common
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
  firebird2.5-common-doc (= ${source:Version})
 Description: common files for firebird 2.5 servers and clients
@@ -257,16 +258,6 @@
  Please refer to the firebird2.5-super and firebird2.5-classic packages for
  more information about Firebird in general.
 
-Package: firebird2.5-dev
-Section: oldlibs
-Priority: extra
-Architecture: all
-Depends: ${misc:Depends}, firebird-dev (>= 2.5.1.26349-0~rc1.ds4-3~),
- firebird2.5-common-doc (= ${source:Version})
-Description: transitional package for firebird-dev
- firebird2.5-dev was renamed to firebird-dev. This dummy package is provided
- to ease the transition for packages build-depending on firebird2.5-dev.
-
 Package: firebird2.5-examples
 Section: doc
 Architecture: all
@@ -280,3 +271,11 @@
  .
  Please refer to the firebird2.5-super and firebird2.5-classic packages for
  more information about Firebird in general.
+
+Package: firebird2.5-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends},
+ firebird2.5-common-doc (= ${source:Version})
+Description: Documentation files for firebird database version 2.5
+ Various documents for firebird 2.5. These include the list of enhancements
