## firebird2.5 2.5.2.26540.ds4

=== debian/changelog ===
firebird2.5 (2.5.2.26540.ds4-9ubuntu1) trusty; urgency=medium

  * Merge from Debian, remaining changes (LP: #1267128):
    - Add ARM64 platform support.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 28 Feb 2014 10:06:16 +0000

firebird2.5 (2.5.2.26540.ds4-9) unstable; urgency=medium

  * add patch fixing ICU symbol finding / library loading with ICU 52.1
    Closes: #732000 -- Unicode collations not available with ICU 52.1

 -- Damyan Ivanov <dmn@debian.org>  Mon, 16 Dec 2013 12:08:23 +0200

firebird2.5 (2.5.2.26540.ds4-8ubuntu2) trusty; urgency=medium

  * No change rebuild against libicu52

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 28 Dec 2013 13:46:33 +0000

firebird2.5 (2.5.2.26540.ds4-8ubuntu1) trusty; urgency=low

  * Add ARM64 platform support.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Thu, 28 Nov 2013 02:01:25 +0000

firebird2.5 (2.5.2.26540.ds4-8) unstable; urgency=low

  * servers' .postrm: move debhelper hook before checking whether we are the
    last server package. Otherwise the check fails and we never purge the
    security/password files.
    (Closes: #727310)

 -- Damyan Ivanov <dmn@debian.org>  Thu, 31 Oct 2013 23:10:50 +0200

firebird2.5 (2.5.2.26540.ds4-7) unstable; urgency=low

  * parallel-build: serialise build_file calls in Makefile.msgs
  * parallel-build: make serialisation lock attempts not to time out

 -- Damyan Ivanov <dmn@debian.org>  Sat, 12 Oct 2013 11:11:42 +0300

firebird2.5 (2.5.2.26540.ds4-6) unstable; urgency=low

  * parallel-build: sequence any build-time engine code
    hopefuly this avoids all problems parallel-building on kfreebsd

 -- Damyan Ivanov <dmn@debian.org>  Fri, 11 Oct 2013 23:09:52 +0300

firebird2.5 (2.5.2.26540.ds4-5) unstable; urgency=low

  * parallel-build.patch: avoid simultaneous execution of gpre
    Fixes FTBFS on kfreebsd, whose build daemons enable parallel building
    + Add procmail to build-dependencies for the 'lockfile' binary

 -- Damyan Ivanov <dmn@debian.org>  Thu, 10 Oct 2013 16:24:43 +0300

firebird2.5 (2.5.2.26540.ds4-4) unstable; urgency=low

  * remove system databases on purge, unconditionally (Closes: #717902)
  * -common.postrm: also remove rotated logfiles
  * add NEWS.Debian entry about the unconditional removal of security database
  * servers .postrm: remove empty /etc/firebird/$FB_VER on purge
  * servers .postinst: gracefully handle disabled service via policy-rc.d
    (Closes: #719584)
  * servers .postrm set -x when DEBIAN_FIREBIRD_DEBUG is in the environment
  * rules: add support for parallel=N in DEB_BUILD_OPTIONS
    Thanks Aron Xu for the patch. Closes: #723581
  * make libfbclient2-dbg M-A:same

 -- Damyan Ivanov <dmn@debian.org>  Mon, 23 Sep 2013 15:31:31 +0300

firebird2.5 (2.5.2.26540.ds4-3) unstable; urgency=low

  * rules: dump configuration from generated fb_config
  * pass --with-fblib to configure to make fb_config match reality
  * add forgotten #710169 closer in -2
  * enable the server by default, but listen only to localhost (Closes: 702971)
  * fix two typos in Bulgarian debconf translation

 -- Damyan Ivanov <dmn@debian.org>  Tue, 23 Jul 2013 17:43:36 +0300

firebird2.5 (2.5.2.26540.ds4-2) unstable; urgency=low

  * Promote firebird-dev's suggestion of libfbembed2.5 to a hard dependency to
    guarantee that the libfbembed.so symlink is not broken. Closes: #715064
  * ship fb_config in firebird-dev. Closes: #717098
  * fix Vcs-* fields, thanks lintian
  * drop unused lintian overrides about missing fortified functions
  * Standards-Version: 3.9.4
  * libfbembed2.5/description:
    + drop false note about libfbembed not being thread-safe
    + drop false note about libfbembed needing separate lock manager
  * fix typo in -common-doc description. Thanks to Lee Cremeans.
    Closes: #710169

 -- Damyan Ivanov <dmn@debian.org>  Tue, 23 Jul 2013 00:53:06 +0300

firebird2.5 (2.5.2.26540.ds4-1) unstable; urgency=low

  * Official 2.5.2 release
    + CORE-3912: segfault in superclassic (Closes: #693192)
    + Restored the on-disk-structure compatibility with 2.5.1 index keys
      (Closes: #693193)
    + Fixed broken (working as no-op) sweep in SuperServer (Closes: #693195)
    + CORE-3902: Derived fields may not be optimized via an index
      (Closes: #693196)
    + CORE-3895: High memory usage when PSQL code SELECT's from stored
      procedure which modified some data (Closes: #693202)
    + CORE-3238: GEN_UUID returns a non-RFC-4122-compliant UUID
      (Closes: #693207)
    + CORE-3887: CHAR_TO_UUID and UUID_TO_CHAR works different in big endian
      architectures (Closes: #693209)
    + Enabled per-table runtime stats for sweeper
    + Changes not concerning Debian
      - CORE-3786: Hangs on MacOSX 10.7 (Lion) on DB create after reboot
      - CORE-3911: API entrypoints Bopen and BLOB_open are not visible on Darwin
      - CORE-3740: SELECT using IN list with >413 elements causes crash on Mac
        (stack overflow with default stack size)
      - CORE-3740: optimisation bug in GCC on Darwin

  * Update debian/copyright (two new files, no licensing changes)
  * Add NEWS.Debian about incompatible fix in char↔UUID conversion functions

  * drop patches included in the upstream release:
    + upstream/r54702-cve-2012-5529.patch
    + upstream/r57728-cve-2013-2429.patch
  * refresh separate-file-and-sem-perms.patch to apply cleanly

  * Patches taken from upstream SVN
    + r57516r57773-gbak-y-redirection.patch
      make gbak -y work with redirection again (regression from 2.5.1)
      http://tracker.firebirdsql.org/browse/CORE-3995
    + r57707r57710-lots-autonomous-trx-leaks-crash.patch
      fix engine crash/memory leak with many autonomous transactions (remote
      crash/memory leak)
      http://tracker.firebirdsql.org/browse/CORE-3908
    + r57349-bad-trn-num-logged-during-sweep.patch
      fix invalid transaction counters logged during sweep (trivial fix)
      http://tracker.firebirdsql.org/browse/CORE-3978
    + r57714r57716-fix-isql-edit-command.patch

