=== debian/control ===
--- 
+++ 
@@ -8,19 +8,21 @@
  autoconf,
  automake,
  bison,
- debhelper (>= 8.1.3),
+ debhelper (>= 9),
  docbook-to-man,
  dpkg-dev (>= 1.16.1),
  gawk,
+ help2man,
  libatomic-ops-dev (>= 1.2+cvs20091005),
  libedit-dev,
  libicu-dev,
  libtool,
- po-debconf
+ po-debconf,
+ procmail
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/pkg-firebird/2.5.git
-Vcs-Browser: http://git.debian.org/?p=pkg-firebird/2.5.git;a=summary
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/pkg-firebird/2.5.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-firebird/2.5.git;a=summary
 Homepage: http://firebirdsql.org/
 
 Package: firebird2.5-super
@@ -161,11 +163,8 @@
  It can work with remote Firebird servers (either super-server or classic) via
  TCP connections, in the same way libfbclient does.
  .
- Contrary to libfbclient, libfbembed is not thread-safe.
- .
  When working with local database libfbembed works directly with the database
- file without the need of a separate server process. It needs a separate lock
- manager -- fb_lock_mgr -- which is in firebird2.5-classic package.
+ file without the need of a separate server process.
  .
  If you are in doubt, you most probably need libfbclient2, instead of this
  package.
@@ -249,9 +248,10 @@
  firebird2.5-dev (<< 2.5.1.26349-0~rc1.ds4-3~)
 Provides: firebird2.1-dev, firebird2.5-dev
 Depends: libfbclient2 (= ${binary:Version}), libib-util,
+ libfbembed2.5 (= ${binary:Version}),
  ${misc:Depends},
  firebird2.5-common-doc (= ${source:Version})
-Suggests: libfbembed2.5, firebird2.5-examples
+Suggests: firebird2.5-examples
 Description: Development files for Firebird - an RDBMS based on InterBase 6.0 code
  This package contains header files for Firebird.
  .
@@ -279,3 +279,4 @@
  firebird2.5-common-doc (= ${source:Version})
 Description: Documentation files for firebird database version 2.5
  Various documents for firebird 2.5. These include the list of enhancements
+ from previous versions, description of ISQL enhancements and various API or
