=== debian/rules ===
--- 
+++ 
@@ -42,6 +42,10 @@
 export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
+ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
+	NJOBS := -j $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
+endif
+
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
 	confflags += --build $(DEB_HOST_GNU_TYPE)
 else
@@ -57,6 +61,7 @@
 confflags += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 	     --disable-static --with-gpre-cobol --with-system-icu \
 	     --with-system-editline --prefix=/usr --with-fbsbin=/usr/sbin \
+	     --with-fblib=/usr/lib/$(DEB_HOST_MULTIARCH) \
 	     --with-fbconf=/etc/firebird/${FB_VER} --with-fbdoc=${DOC} \
 	     --with-fbudf=${ULFB}/UDF --with-fbsample=${DOC}/examples \
 	     --with-fbsample-db=${DOC}/examples/empbuild \
@@ -101,6 +106,8 @@
 	chmod u+x ./configure
 	CFLAGS= CXXFLAGS= ./configure $(confflags) --enable-superserver
 
+	awk '/^# stored/, /^fb_version/ { print }' gen/firebird/bin/fb_config
+
 	touch $@
 
 .PHONY: configure-classic
@@ -156,7 +163,7 @@
 	echo Starting build-super-server
 	dh_testdir
 	[ -d $(FIREBIRD_TMP) ] || mkdir $(FIREBIRD_TMP)
-	$(shell dpkg-buildflags --export=sh); $(MAKE)
+	$(shell dpkg-buildflags --export=sh); $(MAKE) $(NJOBS)
 
 	# moving to SuperServer target
 	rm -rf ./debian/firebird-super
@@ -171,7 +178,7 @@
 	echo Starting build-classic-server
 	dh_testdir
 	[ -d $(FIREBIRD_TMP) ] || mkdir $(FIREBIRD_TMP)
-	$(shell dpkg-buildflags --export=sh); $(MAKE)
+	$(shell dpkg-buildflags --export=sh); $(MAKE) $(NJOBS)
 
 	# moving to ClassicServer target
 	rm -rf ./debian/firebird-classic
@@ -267,20 +274,3 @@
 	dh_installchangelogs ChangeLog -p firebird$(FB_VER)-common-doc
 	dh_lintian -i
 	dh_link -i
-	dh_compress -i
-	dh_fixperms -i
-
-	dh_installdeb -i
-	dh_gencontrol -i
-	dh_md5sums -i
-	dh_builddeb -i
-
-
-.PHONY: binary-arch
-# Build architecture-dependent files here.
-binary-arch: install
-	dh_testdir -a
-	dh_testroot -a
-	dh_installdebconf -a
-	dh_installexamples -a
-	dh_installmenu -a
